/**************************************************************************\
*                                                                          *
*                                                                          *
*    *****                      *****                                      *
*      *****                  *****                                        *
*        *****              *****                                          *
*          *****          *****                                            *
*            *****      *****                                              *
*              *****  *****                                                *
*            *****      *****                                              *
*          *****          *****          The Firmware.                     *
*        *****              *****        Portable. Compatible.             *
*      *****                  *****      Public Domain.                    *
*    *****                      *****    By NORD><LINK.                    *
*                                                                          *
*                                                                          *
*                                                                          *
*    TFEXT.H   -   Externals fuer TheFirmware                              *
*                  (globale Variable und nicht-int-Funktionen)             *
*                                                                          *
*    angelegt:      DC4OX                                                  *
*                                                                          *
*    modifiziert:   DL8ZAW, versch. Referenzen auf neue Variablen          *
*                   Erlaeuterung dazu: siehe C-Module                      *
*                                                                          *
*                   DB2OS, 23.06.92                                        *
*                   Parameter Walt entfernt wegen DCD-Problemen.           *
*                                                                          *
*                   DB2OS, 19.08.94                                        *
*                   A1par, A2par, ininat, MHEARD entfernt.                 *
*                                                                          *
*                   DB2OS, 21.08.94                                        *
*                   defDAp entfernt.                                       *
*                                                                          *
*                   DB2OS,  27.08.94                                       *
*                   Variablen loops und rps fr RPS-Anzeige                *
*                   alias[n], defID, defVp, defHp, defHmp entfernt.        *
*                                                                          *
*                   DL8HBS, 19.10.94                                       *
*                   UItxPID eingetragen                                    *
*                                                                          *
*                   updated: Sergei Podstrigailo UA9OSV 2003/11/19         *
\**************************************************************************/





/*                                                           Funktionen   */
/**************************************************************************/






void send_kisscmd(int cmd,int value);

/*                                                             Variable   */
/**************************************************************************/



extern unsigned char        defESC;                        /* TFL1...              */
extern unsigned char        defIp[];
extern unsigned char        defYp;
extern unsigned char        defMp;
extern unsigned char        defRp;
extern unsigned char        defPp;
extern unsigned char        defWp;
extern unsigned char        defTp;
extern unsigned char        defZp;
extern unsigned char        defXp;
extern unsigned char        defAp;
extern unsigned char        defEp;
extern unsigned char        defOp;
extern unsigned char        defNp;
extern unsigned char        defVCp;
extern unsigned char        defDp;
extern unsigned char        defUIp;
extern unsigned char        defxSp;
extern unsigned char        defxFp;
extern unsigned short defT2p;
extern unsigned short defT3p;
extern unsigned short defFp;
extern unsigned char        defIPp;
extern unsigned char        defA3p;

extern unsigned char        defxTAp;

extern unsigned short p1end;
extern unsigned short p2strt;



extern unsigned char        myid[];                        /* L2...                */
extern unsigned char        nmblks;
extern unsigned char        aktlks;
extern unsigned char        Ypar;
extern unsigned char        rxfhdr[];
extern unsigned char        rxfctl;
extern unsigned char        rxfPF;
extern unsigned char        rxfV2;
extern unsigned char        rxfCR;
extern unsigned char        rxfprt;
extern unsigned char        txfhdr[];
extern unsigned char        txfctl;
extern unsigned char        txfPF;
extern unsigned char        txfV2;
extern unsigned char        txfCR;
extern unsigned char        txfprt;
extern unsigned short Fpar;
extern unsigned short T2par;
extern unsigned short T3par;
extern unsigned short    Ipar;
extern unsigned short    Opar;
extern unsigned short    Npar;
extern unsigned short    A3par;
extern unsigned char        UIpar;
extern unsigned char        damaok;
extern unsigned short    Rpar;
extern unsigned short    damati;
extern unsigned short    nmbfre;
extern LHEAD       freel;
extern LHEAD       rxfl;
extern LHEAD       stfl;
extern LHEAD       trfl;
extern LHEAD       txl2fl[];
extern MBHEAD     *rxfhd[];
extern MBHEAD     *txfhd[];
extern LNKBLK      lnktbl[];
extern LNKBLK     *lnkpoi;



extern LHEAD       monfl;                         /* TF...                */
extern unsigned char        ch0id[];
extern unsigned char        ch0via[];
extern unsigned char        hinbuf[];
extern unsigned char       *inbufp;
extern unsigned char        Apar;
extern unsigned char        Epar;
extern unsigned char        actch;
extern unsigned char        Xpar;
extern unsigned char        Zpar;
extern unsigned char        Dpar;
extern unsigned char        Tpar;
extern unsigned char        Ppar;
extern unsigned char        Wpar;
extern unsigned char        Upar;
extern unsigned char        Utxt[];
extern unsigned char        Mpar;
extern unsigned char        mftsel;
extern unsigned char        mftidl[];
extern unsigned char        ishmod;
extern unsigned char        hmstat;
extern unsigned char        hmch;
extern unsigned char        hmcmd;
extern unsigned char        hmlen;
extern unsigned short    incnt;
extern unsigned short    isctlr;
extern unsigned    ticks;
extern unsigned    oldtic;
extern unsigned    newtic;
extern unsigned short    Utcnt;
extern unsigned short    VCpar;
extern unsigned short    magicn;
extern MBHEAD     *mifmbp;
extern LHEAD       statml;
extern LHEAD       smonfl;
extern LHEAD       chnlml[];
extern unsigned short    chnlbc[];  /* FEF fr Flow-Control */

extern unsigned short    loops;     /* Hauptschleifendurchlufe */
extern unsigned short    rps;       /* Rounds per Second */
#ifdef USE_XPID
extern unsigned char        UItxPID;
#endif
extern unsigned short    sec100;
#ifndef TFKISS_MAIN
extern TIMEBL      tftime;
#endif
extern unsigned char        eudate;
extern unsigned char        stamp;
extern unsigned char        xFpar;
extern unsigned char        xTApar;

extern unsigned char        stmem[];
extern unsigned char        stack;
extern unsigned short    fremem;

extern unsigned char        cqid[];
extern unsigned short    conctl;
extern unsigned char       *l2msgs[];
extern void      (*cmdtab[])();

extern int         fulldup_on_dama;


extern unsigned short    end;                           /* CRUNTIME             */

/* Ende von TFEXT.H */
