/**************************************************************************\
*                                                                          *
*                                                                          *
*    *****                      *****                                      *
*      *****                  *****                                        *
*        *****              *****                                          *
*          *****          *****                                            *
*            *****      *****                                              *
*              *****  *****                                                *
*            *****      *****                                              *
*          *****          *****          The Firmware.                     *
*        *****              *****        Portable. Compatible.             *
*      *****                  *****      Public Domain.                    *
*    *****                      *****    By NORD><LINK.                    *
*                                                                          *
*                                                                          *
*                                                                          *
*    L2EXT.H   -   Externals fuer Level 2                                  *
*                  (globale Variable und nicht-int-Funktionen)             *
*                                                                          *
*    angelegt:      DC4OX                                                  *
*                                                                          *
*    modifiziert:   DL8ZAW, versch. Referenzen auf neue Variablen          *
*                   Erlaeuterung dazu: siehe C-Module                      *
*                                                                          *
*                   DL8ZAW, 27.03.92                                       *
*                   TheNet spezifischer Code entfernt                      *
*                                                                          *
*                   DB2OS,  23.06.92                                       *
*                   Parameter Walt entfernt wegen DCD-Problemen.           *
*                                                                          *
*                   DB2OS,  19.08.92                                       *
*                   A1par, A2par, ininat, MHEARD entfernt.                 *
*                                                                          *
*                   DL4YBG, 13.02.95                                       *
*                   takflx(),rxfflx fuer FlexNet-Monitor.                  *
*                                                                          *
*                                                                          *
*                   updated: Sergei Podstrigailo UA9OSV 2003/11/19         *
\**************************************************************************/





/*                                                           Funktionen   */
/**************************************************************************/






                                                 /* L2...                */


/*                                                             Variable   */
/**************************************************************************/



extern unsigned char        myid[];                        /* L2...                */
extern unsigned char        nmblks;
extern unsigned char        aktlks; /* FEF */
extern unsigned char        Ypar;
extern unsigned char        damaok;
extern unsigned char        sendok;
extern unsigned char        tosend;
extern unsigned char        rxfhdr[];
extern unsigned char        rxfctl;
extern unsigned char        rxfPF;
extern unsigned char        rxfV2;
extern unsigned short   damati;
extern unsigned char        rxfCR;
extern unsigned char        rxfprt;
#ifdef USE_FLEXDEC
extern unsigned char        rxfflx;
#endif
extern unsigned char        txfhdr[];
extern unsigned char        txfctl;
extern unsigned char        txfPF;
extern unsigned char        txfV2;
extern unsigned char        txfCR;
extern unsigned char        txfprt;
extern unsigned char        Wpar;
extern unsigned char        Ppar;
extern unsigned char        UIpar;
extern unsigned short    Opar;
extern unsigned short    Npar;
extern unsigned short   T2par;
extern unsigned short   T3par;
extern unsigned short    Rpar;
extern unsigned short Fpar;
extern unsigned short    Ipar;
extern unsigned short    A3par;
extern unsigned short    nmbfre;
extern LHEAD       freel;
extern LHEAD       rxfl;
extern LHEAD       stfl;
extern LHEAD       trfl;
extern LHEAD       txl2fl[];
extern MBHEAD     *rxfhd[];
extern MBHEAD     *txfhd[];
extern LNKBLK      lnktbl[];
extern LNKBLK     *lnkpoi;

extern unsigned short    conctl;


extern unsigned short    VCpar;                         /* L7... / TF...        */

extern LHEAD       monfl;


/* Ende von L2EXT.H */
